de.vc.io.rtf.parser

## Class RTFUtil

- java.lang.Object
- - de.vc.io.rtf.parser.RTFUtil

-     public final class RTFUtil
      extends java.lang.Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `formatDate(java.util.Date date, java.lang.String format, java.util.Locale locale)`
    `static java.lang.String` | `formatDate(java.lang.Object date, java.lang.String format, java.util.Locale locale)`
    `static java.lang.String` | `formatNumber(java.lang.Number number, java.lang.String format, java.util.Locale locale)`
    `static java.lang.String` | `formatNumber(java.lang.Object number, java.lang.String format, java.util.Locale locale)`
    `static boolean` | `isArabicLanguage(int languageCode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### formatDate

          public static final java.lang.String formatDate(java.lang.Object date,
                                    java.lang.String format,
                                    java.util.Locale locale)
                                                   throws java.text.ParseException

      Throws:
        `java.text.ParseException`

    - #### formatDate

          public static final java.lang.String formatDate(java.util.Date date,
                                    java.lang.String format,
                                    java.util.Locale locale)

    - #### formatNumber

          public static final java.lang.String formatNumber(java.lang.Object number,
                                      java.lang.String format,
                                      java.util.Locale locale)
                                                     throws java.lang.NumberFormatException

      Throws:
        `java.lang.NumberFormatException`

    - #### formatNumber

          public static final java.lang.String formatNumber(java.lang.Number number,
                                      java.lang.String format,
                                      java.util.Locale locale)

    - #### isArabicLanguage

          public static final boolean isArabicLanguage(int languageCode)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.